## GstTocSetter GstTocSetter |

## Functions

void | gst_toc_setter_set_toc ()
GstToc * | gst_toc_setter_get_toc ()
void | gst_toc_setter_reset ()

## Types and Values

| GstTocSetter
struct | GstTocSetterInterface

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_toc_setter_set_toc ()

    void
    gst_toc_setter_set_toc (GstTocSetter *setter,
                            GstToc *toc);

### gst_toc_setter_get_toc ()

    GstToc *
    gst_toc_setter_get_toc (GstTocSetter *setter);

### gst_toc_setter_reset ()

    void
    gst_toc_setter_reset (GstTocSetter *setter);

## Types and Values

### GstTocSetter

    typedef struct _GstTocSetter GstTocSetter;

### struct GstTocSetterInterface

    struct GstTocSetterInterface {
      GTypeInterface g_iface;

      /* signals */

      /* virtual table */
    };